List threads
Lists the caller’s org internal message threads across orders, newest message first, each with its last message and the caller’s unread count. | authz: allowed_org_types=[provider], min_org_role=operator | () -> (OrderInternalMessageThreadListRes)
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
filter_order_statuses
Filter by order status(es); defaults to draft, staged, and in_progress
filter_order_ids
Filter by order id(s)
filter_unread
True keeps threads with messages the caller hasn’t read; False keeps fully read threads
filter_last_message_at_timestamp_gte
Filter last message timestamp >= value
filter_last_message_at_timestamp_lte
Filter last message timestamp <= value
page
page_size
Response
Successful Response
items
total_count
total_unread_count
Errors
422
Order Internal Messages List Threads V1request Unprocessable Entity Error